# Generated from sidekiq-tracer-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sidekiq-tracer

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: Sidekiq middleware to better trace how jobs are executed
License: MIT
URL: https://gitlab.com/dcoxall/sidekiq-tracer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(timecop) >= 0.8.0
# BuildRequires: rubygem(timecop) < 0.9
BuildArch: noarch

%description
Sidekiq middleware that adds JSON logging and job tracing for better
debugging.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%{gem_instdir}/CONDUCT.md
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/sidekiq-tracer.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.4-1
- Initial package
